Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1729551 - RPM verify errors on python2-swift
Summary: RPM verify errors on python2-swift
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-swift
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Pete Zaitcev
QA Contact: Mike Abrams
Chuck Copello
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-12 15:26 UTC by Lon Hohberger
Modified: 2020-03-05 12:02 UTC (History)
3 users (show)

Fixed In Version: openstack-swift-2.21.1-0.20191105060416.12fd239.el8ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-05 12:02:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
RDO 22340 0 None rpm-master: MERGED openstack/swift-distgit: Change %attr of /run/swift to swift.root (Ifdd05de96aade38b8ca90332f0d72e3cd2cf2d64) 2019-11-05 11:37:11 UTC
RDO 23580 0 None stein-rdo: MERGED openstack/swift-distgit: Change %attr of /run/swift to swift.root (Ifdd05de96aade38b8ca90332f0d72e3cd2cf2d64) 2019-11-05 11:37:05 UTC
Red Hat Product Errata RHBA-2020:0722 0 None None None 2020-03-05 12:02:07 UTC

Description Lon Hohberger 2019-07-12 15:26:32 UTC
The swift spec file contains this in python2-swift:

  %dir %attr(0755, swift, swift) %{_localstatedir}/run/swift

However, if you perform:

  # dnf -y install python2-swift

The resulting directory is as such:

  [root@localhost ~]# ls -ld /var/run/swift/
  drwxr-xr-x. 6 swift root 120 Jul 12 11:17 /var/run/swift/

And rpm -q --verify fails:

  [root@localhost ~]# rpm -q python2-swift 
  python2-swift-2.21.1-0.20190530000408.5ba975c.el8ost.noarch
  [root@localhost ~]# rpm -q python2-swift --verify
  ......G..    /var/run/swift

Comment 2 Lon Hohberger 2019-07-12 15:28:19 UTC
I think simply changing the spec file in RDO to be:

  %dir %attr(0755, swift, root) %{_localstatedir}/run/swift

... will resolve the verification issue. What I'm not certain about is why the directory GID is changed during or after installation.

Comment 3 Pete Zaitcev 2019-07-13 03:47:02 UTC
(In reply to Lon Hohberger from comment #2)
> I think simply changing the spec file in RDO to be:
> 
>   %dir %attr(0755, swift, root) %{_localstatedir}/run/swift
> 
> ... will resolve the verification issue. What I'm not certain about is why
> the directory GID is changed during or after installation.

Lon, /run and its symlink /var/run are tmpfs-mounted and re-created
on every boot. The process is controlled by a file in /etc/tmpfiles.d/ .
See openstack-swift.tmpfs.

I agree that %attr must be made consistent with directives for /var/run.

Comment 8 Jon Schlueter 2019-11-04 17:18:23 UTC
proposed backport of change to stein-rdo branch of RDO dist-git repos.

Comment 14 errata-xmlrpc 2020-03-05 12:02:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0722


Note You need to log in before you can comment on or make changes to this bug.